OtherAPI ReferenceText-to-SpeechVoices

Delete voice

Permanently deletes the specified voice and its embeddings.

DELETE
https://api.soniox.com/v1/voices/{voice_id}

Permanently deletes the specified voice and its embeddings.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Path parameters

voice_idRequiredstring
Format: "uuid"

Response

204

No Content

Errors

No Content

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Not Found

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}